import request from '@/utils/request' //引入axios请求及拦截器
export default {
    //新增业务层次
    appCourseBusiness(data) {
        return request({
            url: '/course/business',
            method: 'post',
            data
        })
    },
    //修改业务层次
    editCourseBusiness(data) {
        return request({
            url: '/course/business/edit',
            method: 'post',
            data
        })
    },
    //批量更改业务层次学习顺序的模板
    editLearningOrderCourseBusiness(data) {
        return request({
            url: '/course/business/editLearningOrder',
            method: 'post',
            data
        })
    },
    //查询业务层次列表
    inquirebusinessList(data) {
        return request({
            url: '/course/business/list',
            method: 'get',
            params: data
        })
    },
    //获取业务层次详细信息
    obtainbusiness(data) {
        return request({
            url: `/course/business/` + data,
            method: 'get',
        })
    },
    //查询订单采集信息模板列表
    orderinputtemplatelist(data) {
        return request({
            url: '/order/input/template/list',
            method: 'get',
            params: data
        })
    },
    //批量更改业务层次得模板
    editModelCourseBusiness(data) {
        return request({
            url: '/course/business/editModel',
            method: 'post',
            data
        })
    },
    //修改业务层次-退款审核
    editRefundPeriodUserIdsCourseBusiness(data) {
        return request({
            url: '/course/business/editRefundPeriodUserIds',
            method: 'post',
            data
        })
    },
    //新增业务层次过滤器
    addBasefilter(data) {
        return request({
            url: '/base/filter',
            method: 'post',
            data
        })
    },
    //查询业务层次过滤器列表
    basefilterlist(data) {
        return request({
            url: '/base/filter/list',
            method: 'get',
            params: data
        })
    },
    //根据名称查找业务层ID
    coursebusinessqueryFullId(data) {
        return request({
            url: '/course/business/queryFullId',
            method: 'get',
            params: data
        })
    },
    

}